<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gatts__prep__write__req__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gatts_prep_write_req_param_t</compoundname>
    <includes local="no">cy_ble_stack_gatt_server.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gatts__prep__write__req__param__t_1ac5a4d453023fc9bd9f9f15d12f080c2f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__handle__value__offset__param__t">cy_stc_ble_gatt_handle_value_offset_param_t</ref> *</type>
        <definition>cy_stc_ble_gatt_handle_value_offset_param_t* cy_stc_ble_gatts_prep_write_req_param_t::baseAddr</definition>
        <argsstring />
        <name>baseAddr</name>
        <briefdescription>
<para>Base address of the queue containing the data. </para>        </briefdescription>
        <detaileddescription>
<para>Queue is of type <ref kindref="compound" refid="structcy__stc__ble__gatt__handle__value__offset__param__t">cy_stc_ble_gatt_handle_value_offset_param_t</ref>. Each baseAddr[currentPrepWriteReqCount-1].handleValuePair.value.val provides the current data and baseAddr[0].handleValuePair.value.val provides the base address of the data buffer where the full value will be stored. The application can calculate the total length based on each each array element; i.e., total length of current request = baseAddr[0].handleValuePair.value.len+ ....+baseAddr[currentPrepWriteReqCount-1].handleValuePair.value.len </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="65" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__prep__write__req__param__t_1a0237eb7a944bef2a7cbe0b7b405cd45e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_gatts_prep_write_req_param_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="68" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="68" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__prep__write__req__param__t_1a00c8e60ba097c5c206130faef946704e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gatts_prep_write_req_param_t::currentPrepWriteReqCount</definition>
        <argsstring />
        <name>currentPrepWriteReqCount</name>
        <briefdescription>
<para>Current count of prepare requests from remote. </para>        </briefdescription>
        <detaileddescription>
<para>This parameter can be used to access the data from 'baseAddr[]'. Array index will range from 0 to currentPrepWriteReqCount - 1 </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="73" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="73" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__prep__write__req__param__t_1aa80c9c2520203d600dbd93d34b5307b7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gatts_prep_write_req_param_t::gattErrorCode</definition>
        <argsstring />
        <name>gattErrorCode</name>
        <briefdescription>
<para>The application provides GATT error code for the procedure. </para>        </briefdescription>
        <detaileddescription>
<para>This is an output parameter. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="77" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="77" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Prepare write request parameter received from Client. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="757">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="753">
        <label>cy_stc_ble_gatts_prep_write_req_param_t</label>
        <link refid="structcy__stc__ble__gatts__prep__write__req__param__t" />
        <childnode refid="754" relation="usage">
          <edgelabel>baseAddr</edgelabel>
        </childnode>
        <childnode refid="757" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="754">
        <label>cy_stc_ble_gatt_handle_value_offset_param_t</label>
        <link refid="structcy__stc__ble__gatt__handle__value__offset__param__t" />
        <childnode refid="755" relation="usage">
          <edgelabel>handleValuePair</edgelabel>
        </childnode>
      </node>
      <node id="756">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="755">
        <label>cy_stc_ble_gatt_handle_value_pair_t</label>
        <link refid="structcy__stc__ble__gatt__handle__value__pair__t" />
        <childnode refid="756" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="79" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="54" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="55" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gatts__prep__write__req__param__t_1ac5a4d453023fc9bd9f9f15d12f080c2f" virt="non-virtual"><scope>cy_stc_ble_gatts_prep_write_req_param_t</scope><name>baseAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__prep__write__req__param__t_1a0237eb7a944bef2a7cbe0b7b405cd45e" virt="non-virtual"><scope>cy_stc_ble_gatts_prep_write_req_param_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__prep__write__req__param__t_1a00c8e60ba097c5c206130faef946704e" virt="non-virtual"><scope>cy_stc_ble_gatts_prep_write_req_param_t</scope><name>currentPrepWriteReqCount</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__prep__write__req__param__t_1aa80c9c2520203d600dbd93d34b5307b7" virt="non-virtual"><scope>cy_stc_ble_gatts_prep_write_req_param_t</scope><name>gattErrorCode</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>